---
  - name: mise a jour de resolv.conf...
    copy:
      src: /root/tools/ansible/gsb2023/roles/peertube/files/resolv.conf
      dest: /etc/
      mode: '0644'
        
  - name: installation de docker...
    shell: curl https://releases.rancher.com/install-docker/20.10.sh | sh

  - name: attente de l'installation...
    wait_for:
      timeout: 30
      host: localhost

  - name: installation de k3s...
    shell: curl -sfL https://get.k3s.io | sh -s - --docker

  - name: mise a jour de resolv.conf...
    copy:
      src: /root/tools/ansible/gsb2023/roles/peertube/files/resolv.conf
      dest: /etc/
      mode: '0644'
